petsc-3.4.2 2013-07-02

# PetscObjectAMSGrantAccess

Grants access of the data fields that have been published to AMS to the memory snooper to change

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectAMSGrantAccess(PetscObject obj)

Collective on PetscObject

### Input Parameters

obj -the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);

### See Also

PetscObjectSetName(), PetscObjectAMSViewOff(), PetscObjectAMSTakeAccess()

Level:advanced
Location:src/sys/ams/pams.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages